#ifndef _BINFOAPP_H_
#define _BINFOAPP_H_

#include "BInfoWin.h"
#include "BInfoSettingsWin.h"

class BInfoApp : public BApplication {

	BInfoWin         *binfowin;
	BInfoSettingsWin *settingswin;

	void saveSettings();
	
public :
	bool newDiskInfo;

	BInfoApp();
	virtual void AboutRequested();
	virtual bool QuitRequested();
	virtual void VolumeMounted(long volid);
	virtual void VolumeUnmounted(long volid);
	virtual void MessageReceived(BMessage *message);
	
	void MountUnmount();
	BInfoSettingsWin *Settings() {return settingswin;}
};

#endif