#ifndef _BINFOVIEW_H_
#define _BINFOVIEW_H_

#include "BBorder.h"
#include "BGauge.h"
#include "LabeledText.h"

class BInfoView : public BView {

	BBorder *borderMachineInfo;
	BBorder *borderScreenInfo;
	BBorder *borderSystemInfo;
	BBorder *borderDiskInfo;
	
	LabeledText *machinetextes;
	LabeledText *screentextes;
	LabeledText *systemtextes1;
	LabeledText *systemtextes2;
	LabeledText *systemtextes3;
	LabeledText *systemtextes4;
	LabeledText *systemtextes5;
	
	BGauge *bgaugemem;
	BGauge *bgaugesem;
	BGauge *bgaugeport;
	BGauge *bgaugethread;
	BGauge *bgaugeteam;
	
	BList diskviews;

	system_info old_syst_inf;
	int first;

public:
	BInfoView(BWindow *parent, BRect frame);
	virtual void Pulse();
	
	void Init();
	void DisplayMachineInfo();
	void DisplayStaticScreenInfo();
	void DisplayDynamicScreenInfo();
	void DisplayStaticSystemInfo();
	void DisplayDynamicSystemInfo();
	void DisplayStaticDiskInfo();
	void DisplayDynamicDiskInfo();
};

#endif