#include "BPopUpButton.h"

#include "tools.h"

BPopUpButton :: BPopUpButton(BView *parent, BRect frame, char *label, char *menulabels[])
	: BMenuBar(frame, "")
{
	BMenuItem *item;
	popup = new BPopUpMenu("", TRUE, TRUE);
	int i=0;
	while(menulabels[i])
	{   
		item = new BMenuItem(menulabels[i], NULL);
		popup->AddItem(item);
		i++;
	}

	AddItem(popup);
	SetBorder(B_BORDER_CONTENTS);

	parent->AddChild(this);
}

void BPopUpButton :: SetCurrent(int current)
{
	popup->ItemAt(current)->SetMarked(TRUE);
}

int BPopUpButton :: Selected()
{
	char str[255];
	for(int i=0; i<popup->CountItems();i++)
	{
		BMenuItem *item=popup->ItemAt(i);
		if(item->IsMarked()) return i;
	}
	
	return B_ERROR;
}
