#include "StringView.h"

StringView :: StringView(BView *parent, BPoint init, const char *text)
	: BStringView(BRect(init.x, init.y, init.x, init.y), "", "", B_FOLLOW_LEFT_RIGHT)
{
	parent->AddChild(this);

	SetFontName("Emily");
	SetText(text);
	
	font_info fntinf;

	GetFontInfo(&fntinf);
	float fontHeight=fntinf.ascent+fntinf.descent+fntinf.leading;

	SetViewColor(parent->ViewColor());
	ResizeTo(StringWidth(text), fontHeight);
}
