#define PRG_NAME  "BInfo"
#define PRG_VERS  "v0.4"
#define PRG_ABOUT PRG_NAME " " PRG_VERS "\n\nby Philippe Thomas (tphilippe@sdv.fr)"

#define SETTINGSFILE "BInfo.settings"

#define OFFSET 5

#define DEF_MAINWIN_X 85
#define DEF_MAINWIN_Y 40
#define DEF_MAINWIN_W 215
#define DEF_SETTWIN_X 100
#define DEF_SETTWIN_Y 100

#define VREFRESH_05 0
#define VREFRESH_1  1
#define VREFRESH_3  2
#define VREFRESH_5  3
#define VREFRESH_10 4

#define REFRESH_05 5*1e5
#define REFRESH_1  1e6
#define REFRESH_3  3*1e6
#define REFRESH_5  5*1e6
#define REFRESH_10 10*1e6

#define DEF_REFRESHRATE VREFRESH_3

#define MCUSTOM_BUTTON          'mcbt'
#define MCUSTOM_CHECKBOX        'mccb'
#define MCUSTOM_SETTINGSCHANGED 'mcsc'
#define MMENU_SETTINGS          'mmst'

#define SAVE_MACHINE    0
#define SAVE_SYSTEM     1
#define SAVE_DISK       2
#define SAVE_MEM        3
#define SAVE_SEM        4
#define SAVE_PORT       5
#define SAVE_THRD       6
#define SAVE_TEAM       7

#define SAVE_MAINWIN_X  8
#define SAVE_MAINWIN_Y  9
#define SAVE_MAINWIN_W 10
#define SAVE_SETTWIN_X 11
#define SAVE_SETTWIN_Y 12

#define SAVE_RFRSHRATE 13

#define SAVE_SCREEN    14